Bug 812981 - consider subpackaging fftw-libs more
consider subpackaging fftw-libs more
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fftw (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 13:35 EDT by Adam Jackson
Modified: 2012-05-26 03:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: fftw-3.3.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-11 06:33:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2012-04-16 13:35:18 EDT
Description of problem:

[ajax@t42 ~]$ ls -l /usr/lib/libfftw3q.so.3.3.0 
-rwxr-xr-x. 1 root root 7944448 Oct 11  2011 /usr/lib/libfftw3q.so.3.3.0
[ajax@t42 ~]$ repoquery --whatrequires libfftw3q.so.3
fftw-0:3.3-4.fc17.i686
fftw-devel-0:3.3-4.fc17.i686

Almost 8M of dead code installed by default seems unnecessary.
Comment 1 Susi Lehtola 2012-04-16 16:01:56 EDT
on x86_64 the sizes are:
 double 1019kB
 float  991kB
 long   919kB
 quad   2.1MB

so the contrast isn't that big. If one wants to go all hi-fi, then all of the libs could be split up in their own separate packages.

Actually, the OpenMP and threaded libraries are really small in comparison, so it might make sense to change the current split (threaded and openmp subpackages) to one where the distinction is made wrt the precision (float, double, long, quad; threaded and openmp versions are in the same packages).
Comment 2 Adam Jackson 2012-04-16 16:46:40 EDT
(In reply to comment #1)

> Actually, the OpenMP and threaded libraries are really small in comparison, so
> it might make sense to change the current split (threaded and openmp
> subpackages) to one where the distinction is made wrt the precision (float,
> double, long, quad; threaded and openmp versions are in the same packages).

That sounds even better.
Comment 3 Fedora Update System 2012-04-27 12:14:37 EDT
fftw-3.3.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fftw-3.3.1-2.fc16
Comment 4 Fedora Update System 2012-04-27 13:43:22 EDT
fftw-3.3.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fftw-3.3.1-3.fc17
Comment 5 Fedora Update System 2012-04-27 19:35:40 EDT
Package fftw-3.3.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fftw-3.3.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6879/fftw-3.3.1-3.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-05-11 06:33:47 EDT
fftw-3.3.1-2.fc16, python-anfft-0.1-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-05-26 03:22:44 EDT
fftw-3.3.1-3.fc17, python-anfft-0.1-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.